package com.example.reproducer;

import org.kie.api.KieServices;
import org.kie.api.runtime.KieContainer;
import org.kie.api.runtime.KieSession;

import java.math.BigDecimal;

public class DroolsTest {

    public static final void main(String[] args) {

        try {
            KieServices kServices = KieServices.Factory.get();
            KieContainer kContainer = kServices.getKieClasspathContainer();
            KieSession kSession = kContainer.newKieSession();

            System.out.println("***** start");
            Fact fact = new Fact(new BigDecimal(10));
            kSession.insert(fact);
            kSession.fireAllRules();
            System.out.println("***** end");

        } catch (Throwable t) {
            t.printStackTrace();
        }
    }

}

